Subject: Re: [PATCH] dtc: give advance warning that "-S" is going away.

From: Jon Loeliger <[email-masked]>
Date: Wed, 30 Jul 2008 09:03:26 -0500

> The "-S" option allowed the specification of a minimum size for
> the blob, however the main reason for caring about the size is
> so there is enough padding to add a chosen node by u-boot or
> whoever.  In which case, folks don't really care about the absolute
> size, but rather the size of the padding added for this -- which
> is what the "-p" option does.  Having the "-S" just confuses people.
> 
> Signed-off-by: Paul Gortmaker <[email-masked]>

You rock.

> +	if (minsize)
> +		fprintf(stderr, "DTC: Use of \"-S\" is deprecated; it will be r
> emoved soon, use \"-p\" instead\n");
> +

Or use a U-boot that handles re-sizing automatically.

jdl